/**
 * title: "徽标与标识组合"
 * description: "超过overflow的数值，会显示overflow+，overflow默认值为99。"
 */
import React from 'react';
import { Badge } from '@alicloud/console-components';
var badgeTextStyle = {
    backgroundColor: '#D50B16',
    color: '#fff',
    borderRadius: '10px',
    lineHeight: '18px',
};
var squareStyles = {
    display: 'inline-block',
    borderRadius: '4px',
    background: '#eee',
    width: '32px',
    height: '32px',
};
var Square = function () { return React.createElement("div", { style: squareStyles }); };
export default (function () {
    return (React.createElement("div", { style: { display: 'flex', gap: '50px' } },
        React.createElement(Badge, { count: 1 },
            React.createElement(Square, null)),
        React.createElement(Badge, { count: 23 },
            React.createElement(Square, null)),
        React.createElement(Badge, { count: 456, overflowCount: 999 },
            React.createElement(Square, null)),
        React.createElement(Badge, { content: 'NEW', style: badgeTextStyle },
            React.createElement(Square, null)),
        React.createElement(Badge, { content: '最新上线', style: badgeTextStyle },
            React.createElement(Square, null))));
});
